| Home | Libraries | People | FAQ | More

##### basic_raw_socket::remote_endpoint (2 of 2 overloads)

Inherited from basic_socket.

Get the remote endpoint of the socket.

    endpoint_type remote_endpoint(
        boost::system::error_code & ec) const;

This function is used to obtain the remote endpoint of the socket.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

An object that represents the remote endpoint of the socket. Returns a default-constructed endpoint object if an error occurred.

###### Example

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::system::error_code ec;
    boost::asio::ip::tcp::endpoint endpoint = socket.remote_endpoint(ec);
    if (ec)
    {
      // An error occurred.
    }